Loading...
Searching...
No Matches
gr::fec::code::repetition_encoder Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » Error Coding and Decoding

Repetition Encoding class. More...

`#include <gnuradio/fec/repetition_encoder.h>`

## Public Member Functions

bool | set_frame_size (unsigned int frame_size) override=0
double | rate () override=0
Public Member Functions inherited from gr::fec::generic_encoder
virtual void | generic_work (void *in_buffer, void *out_buffer)=0
int | unique_id ()
std::string | alias ()
virtual int | get_input_size ()=0
virtual int | get_output_size ()=0
virtual const char * | get_input_conversion ()
virtual const char * | get_output_conversion ()
| generic_encoder (void)
| generic_encoder (std::string name)
virtual | ~generic_encoder ()

## Static Public Member Functions

static generic_encoder::sptr | make (int frame_size, int rep)

## Additional Inherited Members

Public Types inherited from gr::fec::generic_encoder
typedef std::shared_ptr< generic_encoder > | sptr
Public Attributes inherited from gr::fec::generic_encoder
int | my_id
std::string | d_name
Static Public Attributes inherited from gr::fec::generic_encoder
static int | base_unique_id
Protected Attributes inherited from gr::fec::generic_encoder
gr::logger_ptr | d_logger

## Detailed Description

Repetition Encoding class.

A repetition encoder class that repeats each input bit `rep` times. To decode, take a majority vote over the number of repetitions.

## Member Function Documentation

## make()

static generic_encoder::sptr gr::fec::code::repetition_encoder::make | ( | int | frame_size,
|  | int | rep )

static

Build a repetition encoding FEC API object.

Parameters

  frame_size | Number of bits per frame. If using in the tagged stream style, this is the maximum allowable number of bits per frame.
  rep | Repetition rate; encoder rate is rep bits out for each input bit.

## rate()

double gr::fec::code::repetition_encoder::rate | ( |  | ) |

override pure virtual

Returns the coding rate of this encoder.

Implements gr::fec::generic_encoder.

## set_frame_size()

bool gr::fec::code::repetition_encoder::set_frame_size | ( | unsigned int | frame_size | ) |

override pure virtual

Sets the uncoded frame size to `frame_size`. If `frame_size` is greater than the value given to the constructor, the frame size will be capped by that initial value and this function will return false. Otherwise, it returns true.

Implements gr::fec::generic_encoder.

The documentation for this class was generated from the following file:

- repetition_encoder.h